Subject: Re: [RFC v1 for accelerated IPoIB 04/25] IB/verb: Add ipoib_options struct and API

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 16 Mar 2017 10:04:34 -0600

On Thu, Mar 16, 2017 at 05:17:55PM +0200, Erez Shitrit wrote:
 
> The QP as a part of the HW resources, it is created in the low-level
> driver, and used by the upper ipoib for few reasons, (for example the
> mac of the ipoib interface includes from the qp_num)
> Now, if we want to use the ndo's init/uninit i need to store member
> variables (qp_num and context) in the rdma_netdev, that will let me
> use the ndos as is.
> rdma_netdev is the one who belongs to both layers, ipoib and the low-level.

IPOIB rdma_netdev's can be casted to ipoib_rdma_netdev, so it is where
ipoib specific cross-layer stuff should live

Jason